// import Layout from '@/layout/layout.vue';
import Layout from '@/layout/new-layout.vue';
import _import from './import';

export const routes = [
  {
    path: '/',
    name: '短信管理',
    component: Layout,
    children: [
      {
        path: 'messageTemplate',
        name: '短信模板管理',
        component: _import('message', 'template')
      },
      {
        path: 'messageTemplateDetail',
        name: '短信模板管理',
        component: _import('message', 'template-detail')
      },
      {
        path: 'messagePass',
        name: '短信通道管理',
        component: _import('message', 'pass-manage')
      },
      {
        path: 'systemMessageTemplate',
        name: '系统短信管理',
        component: _import('message', 'system-message')
      },
    ]
  },
  {
    path: '/activity',
    name: '营销管理',
    component: Layout,
    children: [
      {
        path: 'activity-config',
        name: '营销活动配置',
        component: _import('activity', 'index')
      },
      {
        path: 'holiday-manage',
        name: '营销节日管理',
        component: _import('activity', 'holiday-manage')
      }
    ]
  }
];
